--[[
Description: A very simple plugin to add a spacer in Titan Panel
Site: http://www.curse.com/addons/wow/titan-panel-spacer
Author: Canettieri
--]]

local ADDON_NAME, L = ...;
local ACE = LibStub("AceLocale-3.0"):GetLocale("Titan", true)
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "TITAN_ESPACO2"
----------------------------------------------
local function GetButtonText(self, id)

	local SpacerText = "--"
	if TitanGetVar(ID, "DisplayOnRightSide") and not TitanGetVar(ID, "MoreSpace") then
		SpacerText = "   --   "
	elseif TitanGetVar(ID, "MoreSpace") then
		SpacerText = ""
	end

	local SpacerPlus = ""
	if TitanGetVar(ID, "MoreSpace") then
		SpacerPlus = "   ---   "
	elseif TitanGetVar(ID, "DisplayOnRightSide") and TitanGetVar(ID, "MoreSpace") then
		SpacerPlus = "      ---      "
	end

	return SpacerText..SpacerPlus
end
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|cFFfcb314 ".."Spacer |cFFf3f45f#2".."|r",
	category = "Interface",
	version = version,
	getButtonText = GetButtonText,
	prepareMenu = L.PrepareSpacerMenu,
	savedVariables = {
		DisplayOnRightSide = false,
		MoreSpace = false,
	}
})
